#include <gtk/gtk.h>

#include "gtktitlebar.c"
#include "gtkcsdwindow.c"

int main (int argc, char *argv[])
{
        GtkWidget *window;
        GtkWidget *box;
        GtkWidget *titlebar;
        GtkWidget *titlebox;
        GtkWidget *button1;
        GtkWidget *button2;
        GtkWidget *title;
        GtkWidget *image;
        GdkRGBA blue;

        gtk_init (NULL, NULL);

        if (g_getenv ("RTL"))
          gtk_widget_set_default_direction (GTK_TEXT_DIR_RTL);
        else
          gtk_widget_set_default_direction (GTK_TEXT_DIR_LTR);

        window = gtk_csd_window_new ();
        gtk_window_set_type_hint (GTK_WINDOW (window), GDK_WINDOW_TYPE_HINT_DIALOG);
        gtk_window_set_decorated (GTK_WINDOW (window), FALSE);
        gtk_window_set_resizable (GTK_WINDOW (window), TRUE);

        box = gtk_box_new (GTK_ORIENTATION_VERTICAL, 0);
        gtk_container_add (GTK_CONTAINER (window), box);

        titlebar = gtk_title_bar_new ("Shells Shells Shells Shells Shells");
        g_object_set (titlebar,
                      "spacing", 6,
                      "hpadding", 18,
                      "vpadding", 6,
                      NULL);
        gtk_box_pack_start (GTK_BOX (box), titlebar, FALSE, TRUE, 0);

        button1 = gtk_button_new_with_label ("Forget");
        gtk_widget_set_valign (button1, GTK_ALIGN_CENTER);
        gtk_style_context_add_class (gtk_widget_get_style_context (button1), GTK_STYLE_CLASS_RAISED);
        gtk_title_bar_pack_start (GTK_TITLE_BAR (titlebar), button1);

        button2 = gtk_button_new_with_label ("Done");
        gtk_widget_set_valign (button2, GTK_ALIGN_CENTER);
        gtk_style_context_add_class (gtk_widget_get_style_context (button2), "suggested-action");

        gtk_title_bar_pack_end (GTK_TITLE_BAR (titlebar), button2);

        button2 = gtk_button_new_with_label ("Almost");
        gtk_widget_set_valign (button2, GTK_ALIGN_CENTER);
        gtk_style_context_add_class (gtk_widget_get_style_context (button2), GTK_STYLE_CLASS_RAISED);
        gtk_title_bar_pack_end (GTK_TITLE_BAR (titlebar), button2);

        image = gtk_image_new_from_file ("shells.jpg");
        //image = gtk_button_new_with_label ("No shells");
        gtk_widget_set_margin_left (image, 36);
        gtk_widget_set_margin_right (image, 36);
        gtk_widget_set_margin_top (image, 36);
        gtk_widget_set_margin_bottom (image, 36);
        gtk_box_pack_start (GTK_BOX (box), image, TRUE, TRUE, 0);

        gtk_widget_show_all (window);

        gtk_main ();

        return 0;
}
