#ifndef __GTK_CSD_WINDOW_H__
#define __GTK_CSD_WINDOW_H__


#include <gtk/gtk.h>


G_BEGIN_DECLS


#define GTK_TYPE_CSD_WINDOW            (gtk_csd_window_get_type ())
#define GTK_CSD_WINDOW(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), GTK_TYPE_CSD_WINDOW, GtkCsdWindow))
#define GTK_CSD_WINDOW_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), GTK_TYPE_CSD_WINDOW, GtkCsdWindowClass))
#define GTK_IS_CSD_WINDOW(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GTK_TYPE_CSD_WINDOW))
#define GTK_IS_CSD_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GTK_TYPE_CSD_WINDOW))
#define GTK_CSD_WINDOW_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), GTK_TYPE_CSD_WINDOW, GtkCsdWindowClass))


typedef struct _GtkCsdWindow              GtkCsdWindow;
typedef struct _GtkCsdWindowPrivate       GtkCsdWindowPrivate;
typedef struct _GtkCsdWindowClass         GtkCsdWindowClass;

struct _GtkCsdWindow
{
  GtkWindow parent;

  /*< private >*/
  GtkCsdWindowPrivate *priv;
};

struct _GtkCsdWindowClass
{
  GtkWindowClass parent_class;

  /* Padding for future expansion */
  void (*_gtk_reserved1) (void);
  void (*_gtk_reserved2) (void);
  void (*_gtk_reserved3) (void);
  void (*_gtk_reserved4) (void);
};


GType      gtk_csd_window_get_type   (void) G_GNUC_CONST;
GtkWidget *gtk_csd_window_new        (void);

G_END_DECLS

#endif /* __GTK_CSD_WINDOW_H__ */
